### Method

# Gtk FontChooser set_filter_func

#### Declaration [src]

    void
    gtk_font_chooser_set_filter_func (
      GtkFontChooser* fontchooser,
      GtkFontFilterFunc filter,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Adds a filter function that decides which fonts to display in the font chooser.

#### Parameters

`filter` | `GtkFontFilterFunc`
| A `GtkFontFilterFunc`.
`user_data` | `gpointer`
| Data to pass to `filter`.
`destroy` | `GDestroyNotify`
| Function to call to free `data` when it is no longer needed.